Skip to main content
`Ctrl`+`K`
⚠️The latest release refactored our HTML, so double-check your custom CSS rules!⚠️

# Lists

## Enumerated Lists

1. Arabic numerals.

   1. lower alpha)

      1. (lower roman)

         1. upper alpha.

            1. upper roman)

2. Lists that don’t start at 1:

   3. Three

   4. Four

   3. C

   4. D

   3. iii

   4. iv

3. List items may also be auto-enumerated.

## Definition Lists

Term

  Definition

Termclassifier

  Definition paragraph 1.

  Definition paragraph 2.

Term

  Definition

I have no clue why the definition list below is classified as a different style of definition list than the one above.

Is it the spaces in the term?

  Maybe it was the multiple line paragraph in the line below that caused this?

Is it the paragraph above the list maybe?

  I guess a lot of these lists don’t have leading paragraphs?

Is it everything all at once?

  Who knows?!

## Option Lists

For listing command-line options:

`-a`

  command-line option “a”

`-b file`

  options can have arguments and long descriptions

`--long`

  options can be long also

`--input=file`

  long options can also have arguments

`--very-long-option`

  The description can also start on the next line.

  The description may contain multiple body elements, regardless of where it starts.

`-x, -y, -z`

  Multiple options are an “option group”.

`-v, --verbose`

  Commonly-seen: short & long options.

`-1 file, --one=file, --two file`

  Multiple options with arguments.

`/V`

  DOS/VMS-style options too

There must be at least two spaces between the option and the description.

## Field list

Address:

  123 Example Street Example, EX Canada A1B 2C3

Organization:

  humankind

Status:

  This is a “work in progress”

Version:

  1

Field name:

  This is a generic bibliographic field.

Field name 2:

  Generic bibliographic fields may contain multiple body elements.

  Like this.

## Glossary

This is a glossary with definition terms for thing like Writing:

Documentation

  Provides users with the knowledge they need to use something.

Reading

  The process of taking information into ones mind through the use of eyes.

Writing

  The process of putting thoughts into a medium for other people to read.

Here’s another glossary, with more detail. The important bit here is that the contents of the definition are multi-paragraph.

Import Package

  A Python module which can contain other modules or recursively, other packages.

  An import package is more commonly referred to with the single word “package”, but this guide will use the expanded term when more clarity is needed to prevent confusion with a Distribution Package which is also commonly called a “package”.

Package Index

  A repository of distributions with a web interface to automate package discovery and consumption.

## Bullet Lists

### Simple

- A simple list.

- There are no margins between list items.

- Simple lists do not contain multiple paragraphs. That’s a complex list.

- In the case of a nested list

  - There are no margins between elements

    - Still no margins

      - Still no margins

### Complex

- A bullet list

  - Nested bullet list.

  - Nested item 2.

- Item 2.

  Paragraph 2 of item 2.

  - Nested bullet list.

  - Nested item 2.

    - Third level.

    - Item 2.

  - Nested item 3.

- `inline literall`

- `inline literall`

- `inline literall`

- This item has multiple paragraphs.

  This item has multiple paragraphs.

- This item has multiple paragraphs.

  This item has multiple paragraphs.

### Second list level

- here is a list in a second-level section.

- yahoo

- yahoo

  - yahoo

  - here is an inner bullet `oh`

    - one more `with an inline literally`. yahoo

      heh heh. child. try to beat this embed:

           1from sphinx.locale import get_translation
           2from sphinx.util import logging
           3from pydata_sphinx_theme.utils import get_theme_options_dict
           4
           5from .directives import Margin
           6from .nodes import SideNoteNode
           7from .header_buttons import (
           8    prep_header_buttons,
           9    add_header_buttons,
          10    update_sourcename,
          11    update_context_with_repository_info,

  - and another. yahoo

  - yahoo

  - `hi`

- how about an admonition?

  Note

  This is a note nested in a list.

- and hehe

#### But deeper down the rabbit hole

- I kept saying that, “deeper down the rabbit hole”. yahoo

  - I cackle at night yahoo.

- I’m so lonely here in GZ `guangzhou`

- A man of python destiny, hopes and dreams. yahoo

  - yahoo

    - yahoo `hi`

    - `destiny`

## Hlists

- First item

- Second item

- Third item

- Forth item

- Fifth item

- Sixths item

Hlist with images

- Fig. 5 This is a short caption for a figure.

- Fig. 6 This is a long caption for a figure. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec porttitor dolor in odio posuere, vitae ornare libero mattis. In lobortis justo vestibulum nibh aliquet, non.

## Numbered List

1. One,

2. Two.

3. Three with long text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed feugiat sagittis neque quis eleifend. Duis rutrum lectus sit amet mattis suscipit.

- 1. Using bullets and letters. (A)

- 2. Using bullets and letters. (B)

- 3. Using bullets and letters. (C)